Subject: bug#18129: closed (Re: bug#18129: popup dialogs: bad alignment of buttons)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Aug 2014 13:34:03 +0000

Your bug report

#18129: popup dialogs: bad alignment of buttons

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18129: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18129
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18129: popup dialogs: bad alignment of buttons
From: Jan Djärv <[email-masked]>
To: Carlos Pita <[email-masked]>
Cc: [email-masked]
Date: Sat, 2 Aug 2014 15:33:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

I've fixed it in the trunk.

	Jan D.

1 aug 2014 kl. 02:18 skrev Carlos Pita <[email-masked]>:

> Carlos Pita <[email-masked]> writes:
> 
> Additional details, just in case (although I've seen the same problem in
> any gtk3 installation I used):
> 
> In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
> of 2014-07-24 on memeplex
> Windowing system distributor `The X.Org Foundation', version 11.0.11502000
> Configured using:
> `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
> --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
> 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
> --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
> LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'
> 
> 
> 
>> See for example the left button produced by this:
>> 
>> (x-popup-dialog t  '("This is a loooooooooooooooooooooooooooooooooooooong
>> question" ("Yes" . "yes") ("No" . "no")))
>> 
>> While the right button is just by the border of the dialog, the left one is
>> far from the left border.
>> 
>> Seems to be a maximum width for the stretching of the space between buttons.
>> 
>> Tested in gtk3.
> 
> 

Subject: popup dialogs: bad alignment of buttons
From: Carlos Pita <[email-masked]>
To: [email-masked]
Date: Mon, 28 Jul 2014 11:18:23 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

See for example the left button produced by this:

(x-popup-dialog t  '("This is a loooooooooooooooooooooooooooooooooooooong
question" ("Yes" . "yes") ("No" . "no")))

While the right button is just by the border of the dialog, the left one is
far from the left border.

Seems to be a maximum width for the stretching of the space between buttons.

Tested in gtk3.